<?php defined('JPATH_PLATFORM') or die;

class JFormFieldZenlightbox extends JFormField
{

	public $type = 'Zenlightbox';

	// icons

	protected function getInput()
	{
	
			// Displays the settings found in the layout xml for that specific layout
			// eg max-cols for grid, carousel speed for carousels.
			
			
			jimport('joomla.filesystem.folder');
			$items = JFactory::getXML(JPATH_ROOT . '/modules/mod_zentools2/settings/globals/lightbox.xml'); 
					
		?>
	
			<div id="zt-lightbox" class="zt-admin hide">
				<h3 class="zt-title zt-toggler" id="zt-content-source">Lightbox settings   <span class="uk-badge uk-badge-notification hide">Edit lightbox settings</span></h3>
				<div class="zt-toggle">
					
					<?php foreach ($items->group as $key => $items) { ?>
						<ul class="<?php echo $items['display'];?>">
							<?php foreach ($items as $key => $element) { 
									
								$type = $element['type'];
								$name = $element['name'];
								$label = $element['label'];
								$description = $element['description'];
								$default = $element['default'];
								$display = $element['display']; 
								$depend = $element['depend'];
								$class = $element['class']; ?>
										
								<li class="zt-settings-node" data-display="<?php echo $display;?>" data-value="<?php echo $default;?>" data-type="<?php echo $type;?>" data-name="<?php echo $name;?>">
								<?php 
									include(JPATH_ROOT . '/modules/mod_zentools2/fields/tags/' . $type . '.php');
										?>
								</li>
								
							<?php  }  ?>
						</ul>
					 <?php } ?>					
				</div>
			</div>
			
	 <?php }
	
	function getLabel()
	{
		return '';
	}
}						