<?php
/**
 * @package		Zen Tools
 * @subpackage	Zen Tools
 * @author		Joomla Bamboo - design@joomlabamboo.com
 * @copyright 	Copyright (c) 2014 Joomla Bamboo. All rights reserved.
 * @license		GNU General Public License version 2 or later
 * @version		1.13.2
 */

// no direct access
defined('_JEXEC') or die('Restricted access');


// This is a dummy field that merely creates the placeholder 
// and we fill in the data via ajax.

// Create a category selector
class JFormFieldZtlistcontent extends JFormField
{

	protected $type = 'Ztlistcontent';

	protected function getInput()
	{
		
		$extension = $this->element['extension'];
		$class = $this->element['class'];
		$categories=array();

		// Create the 'all categories' listing
		$categories[0] = new stdClass;
		$categories[0]->id = '';
		$categories[0]->title = '';
		
		$output = "";
		if($this->value) {
			$output .= '<input class="hide-field" id="'.$this->id.'-stored" value="'.implode(',', $this->value).'"/>';
		}			
		$output .= '<input class="filter-list" data-id="filter-'.$this->fieldname.'" placeholder="Start typing to filter list of items."/>';
		
		$output .= JHTML::_('select.genericlist',  $categories, ''.$this->formControl.'[params]['.$this->fieldname.'][]',
			'class="inputbox '.$class.'" style="width:90%;"  data-type="filterable" multiple="multiple" size="5"', 'id', 'title', $this->value, $this->id
		);
		
		return $output; 		
	}
}
