<?php
/**
 * @package		Zen Tools
 * @subpackage	Zen Tools
 * @author		Joomla Bamboo - design@joomlabamboo.com
 * @copyright 	Copyright (c) 2013 Joomla Bamboo. All rights reserved.
 * @license		GNU General Public License version 2 or later
 * @version		1.8.5
 */

defined('_JEXEC') or die('Restricted access'); 

// include resizer
require_once $base_root . 'includes/imageresize.php'; 

// Create image element
$image = $layout->{0}->image;

?>

<div id="sync2-<?php echo $module->id;?>" class="slideshow-<?php echo $module->id;?> owl-carousel carousel-connected-nav">
  <?php foreach ($list as $key => $item) { 
  	$item->image = $zen->handleRemoteImage($item->image); 
  	?>
  	<div class="item">
  		<img data-id="<?php echo $key;?>" src="<?php echo ZenTools2Helper::getResizedImage($item->image, $options->carousel_thumb_width, $options->carousel_thumb_height, 'crop');?>" alt="<?php echo $item->title;?>" />
  	</div>	
  <?php } ?>
</div>