<?php
/**
 * @package		Zen Tools
 * @subpackage	Zen Tools
 * @author		Joomla Bamboo - design@joomlabamboo.com
 * @copyright 	Copyright (c) 2013 Joomla Bamboo. All rights reserved.
 * @license		GNU General Public License version 2 or later
 * @version		1.8.5
 */

defined('_JEXEC') or die('Restricted access'); 

$responsive_class = $zen->responsive_classes($element->responsive_classes);  
?>

<div class="zt-avatar zt-element zt-<?php echo $element->display;?> zt-element-<?php echo $settings->count;?> zt-<?php echo $element->alignment;?> <?php echo $responsive_class;?>">
	<?php if($element->link) { ?>
		<a href="<?php echo $item->authorlink;?>">
	<?php } 
	
		if($element->resize) { 
		
		// Get image helper
		// Only if it's required
		
		require_once JPATH_ROOT . '/modules/mod_zentools2/includes/imageresize.php'; 
		?>
		
			<img class="zt-inline" src="<?php echo ZenTools2Helper::getResizedImage($item->avatar, '30', '30', 'smart');?>" alt="<?php echo $item->author;?>" />
	<?php } 
		else { 
	?>
		<img src="<?php echo $item->avatar;?>" alt="<?php echo $item->author;?>" />
		
	<?php } ?>
		<?php if($element->link) { ?>
		</a>
		<?php } ?>
	</div>