<?php
/**
 * @package		Zen Tools
 * @subpackage	Zen Tools
 * @author		Joomla Bamboo - design@joomlabamboo.com
 * @copyright 	Copyright (c) 2013 Joomla Bamboo. All rights reserved.
 * @license		GNU General Public License version 2 or later
 * @version		1.8.5
 */

defined('_JEXEC') or die('Restricted access'); 

if(!isset($element->alignment)) {
	$element->alignment = "left";
} 

$responsive_class = $zen->responsive_classes($element->responsive_classes);  
?>

<div class="zt-comments zt-element zt-<?php echo $element->display;?> zt-element-<?php echo $settings->count;?> zt-<?php echo $element->alignment;?> <?php echo $responsive_class;?>">
	<?php if(($element->link =="1" || $element->link =="2")) { ?>
		<a <?php if($element->link =="2"){?>target="_blank"<?php } ?> href="<?php echo $item->link;?>"><?php } ?>
			<?php if($element->icon) {?><span class="zen-icon fa zen-icon-comment fa-comment"></span><?php } ?><?php echo $item->comments;?> <?php if($element->posttext !=="") {echo $element->posttext; }?>
	<?php if(($element->link =="1" || $element->link =="2")) { ?></a><?php } ?>
</div>