<?php
/**
 * @package		Zen Tools
 * @subpackage	Zen Tools
 * @author		Joomla Bamboo - design@joomlabamboo.com
 * @copyright 	Copyright (c) 2013 Joomla Bamboo. All rights reserved.
 * @license		GNU General Public License version 2 or later
 * @version		1.8.5
 */

defined('_JEXEC') or die('Restricted access'); 

if($item->date) {
	if ($element->datestring === 'DATE_FORMAT_LC' || 
		$element->datestring === 'DATE_FORMAT_LC1' || 
		$element->datestring === 'DATE_FORMAT_LC2' || 
		$element->datestring === 'DATE_FORMAT_LC3' || 
		$element->datestring === 'DATE_FORMAT_LC4') {
		$date = JHTML::_('date', $item->date, JText::_($element->datestring));
	} else {
		$date = new JDate($item->date);
		$date = $date->format($element->datestring);
	}
	
	if(!isset($element->alignment)) {
		$element->alignment = "left";
	} 
	
	$responsive_class = $zen->responsive_classes($element->responsive_classes); 
	?>
	
	<div class="zt-date zt-element zt-<?php echo $element->display;?> zt-element-<?php echo $settings->count;?> zt-<?php echo $element->alignment;?> zt-<?php echo $element->alignment;?> <?php echo $responsive_class;?>">
		<?php echo $element->pretext;?> <?php echo $date;?>
	</div>
<?php } ?>