<?php
/**
 * @package		Zen Tools
 * @subpackage	Zen Tools
 * @author		Joomla Bamboo - design@joomlabamboo.com
 * @copyright 	Copyright (c) 2013 Joomla Bamboo. All rights reserved.
 * @license		GNU General Public License version 2 or later
 * @version		1.8.5
 */

defined('_JEXEC') or die('Restricted access'); 

if(!isset($element->alignment)) {
	$element->alignment = "left";
} 

$responsive_class = $zen->responsive_classes($element->responsive_classes); 
?>

<div class="zt-hikashop-dimensions zt-element zt-<?php echo $element->display;?> zt-element-<?php echo $settings->count;?> zt-<?php echo $element->alignment;?> <?php echo $responsive_class;?>">
	<h3><?php echo $element->dimensions_pretext;?></h3>
	<ul>
		<?php if($element->display_height && $item->height !=="") { ?>
		<li><?php echo $element->height_pretext;?> <?php echo $item->height;?></li>
		<?php } ?>
		<?php if($element->display_width && $item->width !=="") { ?>
		<li><?php echo $element->width_pretext;?> <?php echo $item->width;?></li>
		<?php } ?>
		<?php if($element->display_length && $item->length !=="") { ?>
		<li><?php echo $element->length_pretext;?> <?php echo $item->length;?></li>
		<?php } ?>
		<?php if($element->display_weight && $item->weight !=="") { ?>
		<li><?php echo $element->weight_pretext;?> <?php echo $item->weight;?></li>
		<?php } ?>
	</ul>
</div>