<?php
/**
 * @package		Zen Tools
 * @subpackage	Zen Tools
 * @author		Joomla Bamboo - design@joomlabamboo.com
 * @copyright 	Copyright (c) 2013 Joomla Bamboo. All rights reserved.
 * @license		GNU General Public License version 2 or later
 * @version		1.8.5
 */

defined('_JEXEC') or die('Restricted access'); 

if(is_array($item->exif)) {
	$exif = $item->exif;

	if(!isset($element->alignment)) {
		$element->alignment = "left";
	} 
	$display = 0;
	
	// Check to see if any items are populated
	foreach ($exif as $type => $attribute) {
		if($attribute !=="" && $attribute) {
			$display = 1;
			break;
		}
	}
	
	if($display) {
	
	$responsive_class = $zen->responsive_classes($element->responsive_classes); 
 ?>
 	<div class="zt-exif zt-element zt-<?php echo $element->display;?> zt-element-<?php echo $settings->count;?> zt-<?php echo $element->alignment;?> <?php echo $responsive_class;?>">
		<h3><?php echo $element->exif_heading;?></h3>
		<ul class="zt-exif zt-element-<?php echo $settings->count;?>">
			<?php  foreach ($exif as $type => $attribute) { 
					$label = ucfirst(str_replace('_', ' ', $type));
					// Map some names to new values
					if($type == 'aperture') {
						$type="f_stop";
					}
					
					
				// Check to see if option is enabled in the admin and not empty
				if($element->{$type} && ($attribute !=="" && $attribute)) { ?>
					<li><span class="exif-type"><?php echo $label;?></span> - <span class="exif-value"><?php echo $attribute;?></span></li>	
			<?php 
				} 
			} ?>
		</ul>
		<div class="clear"></div>
	</div>
	<?php 
	
	}
} ?>