<?php
/**
 * @package		Zen Tools
 * @subpackage	Zen Tools
 * @author		Joomla Bamboo - design@joomlabamboo.com
 * @copyright 	Copyright (c) 2013 Joomla Bamboo. All rights reserved.
 * @license		GNU General Public License version 2 or later
 * @version		1.8.5
 */

defined('_JEXEC') or die('Restricted access'); 

if($item->fulltext_image !=="" && $item->fulltext_image !==false) { 
 
 $class= ' zt-' .$element->shape;
 $class.= ' zt-' .$element->style;
 
 if($element->fullwidth) {
 	 $class .=" fullwidth";
 } 
 
 if(isset($element->hover_effect)) {
 	$class.= ' ' .$element->hover_effect;
 }
 
 $class.= $zen->responsive_classes($element->responsive_classes); 
 
 $data_description ="";
 if(isset($item->introtext)) {
 	 $data_description ='data-description="'.htmlspecialchars($item->introtext).'"';
}

// Joomla contacts
if(isset($item->misc)) {
 	 $data_description ='data-description="'.htmlspecialchars($item->misc).'"';
}

if(!isset($element->alignment)) {
	$element->alignment = "left";
} 

$lightbox = $settings->lightbox; ?>
 
	 <div class="zt-fulltext_image<?php echo $class;?> zt-<?php echo $element->display;?> zt-element zt-element-<?php echo $settings->count;?> zt-<?php echo $element->alignment;?>">
		<?php if(($element->link =="1" || $element->link =="3") && $item->link) { ?>
			<a href="<?php echo $item->link;?>"
			<?php if($element->link =="3") { ?>
			target="_blank"
			<?php } ?>>
		<?php } elseif($element->link =="2" && $item->link) { ?>
			<a data-effect="mfp-<?php echo $lightbox->transition;?>" class="zt-lightbox"  title="<?php echo $item->title;?>" href="<?php echo $item->fulltext_image;?>" <?php echo $data_description;?>>
		<?php } ?>	
		<?php // If we are resizing the image
						
				if($element->resize) { 
					
					// Get image helper
					// Only if it's required
					
					require_once JPATH_ROOT . '/modules/mod_zentools2/includes/imageresize.php'; ?>
					
						<img class="lazyOwl" <?php echo $settings->datasrc;?>="<?php echo ZenTools2Helper::getResizedImage($item->fulltext_image, $element->crop_width, $element->crop_height, $element->crop_type);?>" alt="<?php echo $item->title;?>" />
				<?php } 
					else { 
				?>
					<img src="<?php echo $item->fulltext_image;?>" alt="<?php echo $item->title;?>" />
				<?php } ?>
			
		<?php if($element->link && $item->link) { ?>
			</a>
		<?php } ?>
	</div>
	
<?php } ?>