<?php
/**
 * @package		Zen Tools 2
 * @subpackage	Zen Tools 2
 * @author		Joomla Bamboo - design@joomlabamboo.com
 * @copyright 	Copyright (c) 2015 Joomla Bamboo. All rights reserved.
 * @license		GNU General Public License version 2 or later
 * @version		1.0.5
 */

defined('_JEXEC') or die('Restricted access'); 

if(is_array($item->images)) {

	$class= ' zt-' .$element->shape;
	$class.= ' zt-' .$element->style;
	 
	
	if(isset($element->hover_effect)) {
		$class.= ' ' .$element->hover_effect;
	}
	  
	$class .= $zen->responsive_classes($element->responsive_classes); 
	
	$lightbox = $settings->lightbox; 
	
	$count = 1; 
	
	if(!isset($element->alignment)) {
		$element->alignment = "left";
	} 
	?>
	
	<div class="zt-image<?php echo $class;?> zt-hika-images zt-<?php echo $element->display;?> zt-element zt-element-<?php echo $settings->count;?> zt-<?php echo $element->alignment;?>">
		<ul>
			<?php foreach ($item->images as $key => $image) { 
	
				if($count > $element->number_of_images) {
					break;
				}
				
				$name = str_replace('images/com_hikashop/upload/', '', $image);
				$name = str_replace('-',' ', $name);
				$name = str_replace('_',' ', $name);
				$name = JFile::stripExt($name);
				$count ++; ?>
			<li><?php 
	
					 if($element->link =="2") { ?>
						<a data-effect="mfp-<?php echo $lightbox->transition;?>" data-target="lightbox-<?php echo $settings->id;?>" class="zt-lightbox"  title="<?php echo $name;?>" href="<?php echo $image;?>">
					<?php }
		
					// If we are resizing the image
						
					if($element->resize) { 
					
					// Get image helper
					// Only if it's required
					
						require_once JPATH_ROOT . '/modules/mod_zentools2/includes/imageresize.php'; ?>
					
						<img class="lazyOwl" <?php echo $settings->datasrc;?>="<?php echo ZenTools2Helper::getResizedImage($image, $element->crop_width, $element->crop_height, $element->crop_type);?>" alt="<?php echo $name;?>" />
					
					<?php } else { ?>
						<img src="<?php echo $image;?>" alt="<?php echo $name;?>" />
					<?php } ?>
			
				<?php if($element->link =="2") { ?>
					</a>
				<?php } ?>
			</li>
			<?php } ?>
 		</ul>
	</div>
	
<?php } ?>

<script>
jQuery(document).ready(function($) {

	// Example with multiple objects
	
	$('#zentools-<?php echo $settings->id;?> .zt-lightbox').magnificPopup({
	    gallery: {
	      enabled: true,
	      navigateByImgClick: true,
	      	preload: [0,1] // Will preload 0 - before current, and 1 after the current image
	    },
	    type: 'image',
	    
	    callbacks: {
	          beforeOpen: function() {
	            // just a hack that adds mfp-anim class to markup 
	             this.st.image.markup = this.st.image.markup.replace('mfp-figure', 'mfp-figure mfp-with-anim');
	             target = this.st.el.attr('data-target');
	             effect = this.st.el.attr('data-effect')
	             this.st.mainClass = target + ' ' + effect;
	          },
	        
	          change: function() {
	                  if (this.isOpen) {
	                      this.wrap.addClass('mfp-open');
	                  }
	          },
	        
	          imageLoadComplete: function() {
	                var self = this;
	                setTimeout(function() {
	                  self.wrap.addClass('mfp-image-loaded');
	                }, 16);
	              },
	              close: function() {
	                this.wrap.removeClass('mfp-image-loaded');
	              },
	    },
	      closeOnContentClick: true,
	      midClick: true // allow opening popup on middle mouse click. Always set it to true if you don't provide alternative source.
	});
});
</script>