<?php
/**
 * @package		Zen Tools
 * @subpackage	Zen Tools
 * @author		Joomla Bamboo - design@joomlabamboo.com
 * @copyright 	Copyright (c) 2013 Joomla Bamboo. All rights reserved.
 * @license		GNU General Public License version 2 or later
 * @version		1.8.5
 */

defined('_JEXEC') or die('Restricted access'); 

if($item->latitude && $item->longitude) {
if(!isset($element->alignment)) {
	$element->alignment = "left";
} 

// Get the doc
$doc = JFactory::getDocument();
$doc->addScript('http://maps.google.com/maps/api/js');

$responsive_class = $zen->responsive_classes($element->responsive_classes); 

?>

<div class="zt-map zt-element zt-<?php echo $element->display;?> zt-element-<?php echo $settings->count;?> zt-<?php echo $element->alignment;?> <?php echo $responsive_class;?>">
	
	<div id="map-<?php echo $settings->id;?>-<?php echo $item->key;?>" style="width: <?php echo $element->width;?>; height: <?php echo $element->height;?>"></div> 
          
        <script type="text/javascript"> 
               var myOptions = {
                   zoom: <?php echo $element->zoomlevel;?>,
                   center: new google.maps.LatLng(<?php echo $item->latitude;?>, <?php echo $item->longitude;?>),
                   mapTypeId: google.maps.MapTypeId.ROADMAP
                };
          
                var map = new google.maps.Map(document.getElementById("map-<?php echo $settings->id;?>-<?php echo $item->key;?>"), myOptions);
                
                var myLatLng = {lat: <?php echo $item->latitude;?>, lng: <?php echo $item->longitude;?>};
                
                var marker = new google.maps.Marker({
                    position: myLatLng,
                    map: map,
                    title: '<?php echo $item->title;?>'
                  });
             </script> 

</div>
<?php } ?>