<?php
/**
 * @package		Zen Tools
 * @subpackage	Zen Tools
 * @author		Joomla Bamboo - design@joomlabamboo.com
 * @copyright 	Copyright (c) 2013 Joomla Bamboo. All rights reserved.
 * @license		GNU General Public License version 2 or later
 * @version		1.8.5
 */

defined('_JEXEC') or die('Restricted access'); 

$tags = $item->tags; 
if(is_array($tags)) {

if(!isset($element->alignment)) {
	$element->alignment = "left";
} 

$responsive_class = $zen->responsive_classes($element->responsive_classes); 
?>

<div class="zt-tags zt-element zt-<?php echo $element->display;?> zt-element-<?php echo $settings->count;?> zt-<?php echo $element->alignment;?> <?php echo $responsive_class;?>">
	<p><?php echo $element->pretext;?></p>
	<ul class="zt-tags tags">
	<?php foreach ($tags as $key => $tag) { ?>
		<li>
			<?php if($tag->link !=='null') { ?>
				<a class="<?php echo $element->style;?>" href="<?php echo $tag->link; ?>">
			<?php } ?>
				<span class="zt-tag">
				<?php if($element->icon) { ?>
					<span class="fa fa-tag zen-icon zen-icon-tag"></span>
				<?php } ?>
				<?php echo htmlspecialchars($tag->title); ?>
			</span>
			<?php if($tag->link !==null) { ?>
		</a>
		<?php } ?>
		</li>
	<?php } ?>
	</ul>
</div>
<?php } ?>