<?php
/**
 * @package		Zen Tools
 * @subpackage	Zen Tools
 * @author		Joomla Bamboo - design@joomlabamboo.com
 * @copyright 	Copyright (c) 2013 Joomla Bamboo. All rights reserved.
 * @license		GNU General Public License version 2 or later
 * @version		1.8.5
 */

defined('_JEXEC') or die('Restricted access'); 

$lightbox = $settings->lightbox; 
$fulltext = 0;
if(isset($lightbox->fulltext)) {
	$fulltext = $lightbox->fulltext;
}


$lightbox_video = 0;
if(isset($lightbox->video)) {
	$lightbox_video = $lightbox->video;
}


$data_description ="";
if($lightbox->text || $fulltext) {

	$data_description ='data-description="';

	if($lightbox->text) {
		if(isset($item->introtext)) {
		 	 $data_description .= htmlspecialchars($item->introtext);
		}
	}

	if($fulltext) {
		if(isset($item->full)) {
			$data_description .= '<br />';
		 	$data_description .=htmlspecialchars($item->fulltext);
		}
	}
	
	// Joomla contacts
	if(isset($item->misc)) {
	 	 $data_description .=htmlspecialchars($item->misc);
	}

	if($lightbox->text || $fulltext) {
		$data_description .= '"';
	}
}



if(!isset($element->append_cat_item_count)) {
	$element->append_cat_item_count = null;
} 

if(!isset($element->alignment)) {
	$element->alignment = "left";
} 

$video_class = "";
$target = $item->image;

if($lightbox_video) {
	if($item->video_url !=="") {
	
		$target= $item->video_url;
		$video_class = "mfp-iframe";
	}
} 



$class = $zen->responsive_classes($element->responsive_classes); 


?><div class="zt-title <?php echo $class;?> zt-element zt-element-<?php echo $settings->count;?> zt-element-<?php echo $settings->count;?> zt-<?php echo $element->alignment;?>">
	<<?php echo $element->class;?> class="zt-<?php echo $element->display;?>">
		<?php if(($element->link =="1" || $element->link =="3") && $item->link) { ?>
			<a href="<?php echo $item->link;?>"
			<?php if($element->link =="3") { ?>
			target="_blank"
			<?php } ?>>
		<?php } elseif($element->link =="2" && $item->link) { ?>
			<a data-effect="mfp-<?php echo $lightbox->transition;?>" class="zt-lightbox <?php echo $video_class;?>"  title="<?php echo $item->title;?>" href="<?php echo $target;?>" <?php echo $data_description;?>>
		<?php } 
		
		echo $zen->truncate($item->title, $element->count, $element->suffix, 0);
		
		// Special for J categories.
		// Need to add this in a better way
		if($element->append_cat_item_count) { ?>
			(<?php echo $item->catcount;?>)
		<?php }
		
		if($element->link && $item->link) { ?>
			</a>
		<?php } ?>
	</<?php echo $element->class;?>>
</div>