<?php
/**
 * @package		Zen Tools
 * @subpackage	Zen Tools
 * @author		Joomla Bamboo - design@joomlabamboo.com
 * @copyright 	Copyright (c) 2013 Joomla Bamboo. All rights reserved.
 * @license		GNU General Public License version 2 or later
 * @version		1.8.5
 */

defined('_JEXEC') or die('Restricted access'); 

if(isset($item->tracklist) ) {
	
	if(!isset($element->alignment)) {
		$element->alignment = "left";
	} 
	
	$responsive_class = $zen->responsive_classes($element->responsive_classes); 
	
	?>
	
	<div class="zt-artist zt-element zt-<?php echo $element->display;?> zt-element-<?php echo $settings->count;?> zt-<?php echo $element->alignment;?> <?php echo $responsive_class;?>">
		
		<?php if($element->pretext !=="") {?><h3><?php echo $element->pretext;?></h3><?php } ?>
		<?php 
			
			$i = 0;
			
			if($element->display_type == "vertical") {
				echo '<ul class="nav-stacked zg-nav zg-nav-stacked">';
			}
			
			foreach($item->tracklist as $name => $link) { 
				
				if($element->display_type == "separator" && $i !== 0) {
					echo '<span class="separator"> / </span>';
				}
				
				
				if($element->display_type == "vertical") {
					echo '<li>';
				}
				
			
				if(($element->link =="1" || $element->link =="2")) { ?>
				<a<?php if($element->link =="2") {?> target="_blank"<?php } ?> href="<?php echo $link;?>">
				<?php } ?>
				<span class="track-name"><?php echo $name;?></span>
				<?php if(($element->link =="1" || $element->link =="2")) { ?>
					</a>
				<?php }
				
				if($element->display_type == "vertical") {
					echo '</li>';
				}
				
				$i++;		
			} 
			
			if($element->display_type == "vertical") {
				echo '</ul>';
			}
			?>
	</div>
<?php } ?>