<?php
/**
 * @package		Zen Tools
 * @subpackage	Zen Tools
 * @author		Joomla Bamboo - design@joomlabamboo.com
 * @copyright 	Copyright (c) 2013 Joomla Bamboo. All rights reserved.
 * @license		GNU General Public License version 2 or later
 * @version		1.8.5
 */

defined('_JEXEC') or die('Restricted access'); 

if(!isset($element->alignment)) {
	$element->alignment = "left";
} 




$responsive_class = $zen->responsive_classes($element->responsive_classes); 
?>

<div class="zt-instagram-user-avatar zt-element zt-<?php echo $element->display;?> zt-element-<?php echo $settings->count;?> zt-<?php echo $element->alignment;?> <?php echo $responsive_class;?>">
	<?php if(($element->link =="1" || $element->link =="2")) { ?>
	<a href="https://www.instagram.com/<?php echo $item->user_name;?>">
	<?php } 
	
	 	if($element->user_avatar) {
		
			if($element->resize) { 
				
				// Get image helper
				// Only if it's required
				
				require_once JPATH_ROOT . '/modules/mod_zentools2/includes/imageresize.php'; 
				$profile_image = $zen->handleRemoteImage($item->user_avatar);
				?>
				
					<img class="zt-inline" src="<?php echo ZenTools2Helper::getResizedImage($profile_image, '30', '30', 'smart');?>" alt="<?php echo $item->user_name;?>" />
			<?php } 
				else { 
			?>
				<img src="<?php echo $item->user_avatar;?>" alt="<?php echo $item->user_name; ?>" />
			<?php } 
			}
			
			if($element->user_name) { echo $item->user_name; }
			
			if(($element->link =="1" || $element->link =="2")) { ?>
				</a>
			<?php } ?>
</div>