<?php
/**
 * @package		Zen Tools
 * @subpackage	Zen Tools
 * @author		Joomla Bamboo - design@joomlabamboo.com
 * @copyright 	Copyright (c) 2013 Joomla Bamboo. All rights reserved.
 * @license		GNU General Public License version 2 or later
 * @version		1.8.5
 */

defined('_JEXEC') or die('Restricted access'); 

$class = ' zt-leading-' .$options->title_style;

// We need to run through the lsayout object to see if the title exists
// And in which column

$title = null;

foreach($layout as $key=>$colcontent) {
	
	$element = key((array)$colcontent);
    
    if($element == 'title') {
    	$title = $colcontent;
    	$followingtitle = $layout->{$key}->title;
    	break;
    }
}

if($title == null) {
	$followingtitle = $layout->{0}->title;
}

$list_count = count($list);
?>

<div id="zentools-<?php echo $module->id;?>" class="zentools zt-grid zt-responsive-grid zt-leading <?php echo $class;?>">
	
	<ul>
		<?php foreach ($list as $key => $item) { 
			$item_class = '';
			if($item->featured) {
				$item_class .= ' zt-featured';
			}
			
			if($key == 0) {
		?>
			<li grid-col="1/1" class="zt-item<?php echo $item_class;?> zt-leading zt-item-<?php echo $key + 1;?>">
				<?php foreach ($columns as $column => $colwidth) { ?>
					<div class="zt-col zt-col-<?php echo $colwidth;?>"> 
						<?php $elements = $layout->$column;
							$count = 0;
							$total_elements = count((array)$elements);
							
							foreach ($elements as $type => $element) {
								
								$settings->count = $count;
								
								if($count == 1) { ?>
									<div class="zt-item-container">
								<?php }
								
								$zen->loadElement($element->type, $element, $item, $settings, $zen);
								
								if($count == $total_elements) { ?>
									</div>
								<?php } 
								$count ++;
							} ?>
						</div>
				<?php } ?>
			</li>
			
		<?php } else { 
			
			if($key == 1) { ?>
				<li class="zt-following zt-following-<?php echo $options->list_theme;?> zt-item-<?php echo $key + 1;?>" grid-col="1/1">
					<div class="zt-following-wrap">
					<ul>
					<?php if($options->more_items) { ?>
					<li class="more-items"><h3><?php echo $options->more_items_text;?></h3></li>
					<?php } ?>
			<?php }
			
			$elements->title->class = $options->list_item_class;
			?>
			<li class="zt-item">
			
					<?php $zen->loadElement('title', $followingtitle, $item, $settings, $zen);?>
			</li>
			<?php if($key == $list_count) { ?>
				</ul>
				</li>
				</div>
			<?php }
		}
		
		} ?>
	</ul>
</div>

<?php if($lightbox->enable) { $zen->loadBlock('lightbox', $module, $settings); } ?>