<?php
/**
 * @package		Zen Tools
 * @subpackage	Zen Tools
 * @author		Joomla Bamboo - design@joomlabamboo.com
 * @copyright 	Copyright (c) 2013 Joomla Bamboo. All rights reserved.
 * @license		GNU General Public License version 2 or later
 * @version		1.8.5
 */

defined('_JEXEC') or die('Restricted access'); 


// Count number of items in layout
$count = count((array)$layout->{'0'});
$height = str_replace('px', '', $options->height);
?>

<div id="zentools-<?php echo $module->id;?>" class="zentools zt-stacked">

		<?php foreach ($list as $key => $item) { 
		
		$item_class = '';
		if($item->featured) {
			$item_class .= ' zt-featured';
		}
		?>
		<section style="height:<?php echo $height;?>px;background-image: url(<?php echo $item->image;?>)" class="zt-item-<?php echo $key + 1;?>">
		    <div class="zt-stacked-overlay" style="height:<?php echo $height;?>px">
	           	<?php foreach ($layout as $key => $items) { ?>
	           			<?php foreach ($items as $type => $element) { 
	           					$settings->count = $count;
	           					if($type !=="image") {
	           				?>
	           				<?php $zen->loadElement($type, $element, $item, $settings, $zen);?>	
	           			<?php } 
	           		}?>	
	           	<?php } ?>
	        </div>    
		</section>
	<?php } ?>
</div>

<script>
	var supportsTouch = 'ontouchstart' in window || navigator.msMaxTouchPoints;
	
	if(supportsTouch) {
		jQuery(document).ready(function($) {
			$('html').addClass('touch');
		});
	}
	
</script>

<?php if($lightbox->enable) { $zen->loadBlock('lightbox', $module, $settings); } ?>