<?php defined('JPATH_PLATFORM') or die;

class JFormFieldScripts extends JFormField
{

	public $type = 'Scripts';

	// icons

	protected function getInput()
	{
		// Initialize variables
		
		if (!defined('ZENPATH')) {
			define( 'ZENPATH', JPATH_ROOT . '/modules/mod_zentools2/');
		}
		
		if (!defined('ZENURL')) {
			define( 'ZENURL', JURI::ROOT() . 'modules/mod_zentools2/');
		}
		
		jimport('joomla.filesystem.folder');
		jimport( 'joomla.form.form' );
		
		$path	= JPATH_ROOT.'/modules/mod_zentools2/settings/layouts/';

		// CSS
		$doc =JFactory::getDocument();
		$doc->addStyleSheet( ZENURL . 'admin/css/jquery-ui.css' ); 
		$doc->addStyleSheet( ZENURL . 'admin/css/gallery.css' ); 
		$doc->addStyleSheet( ZENURL . 'admin/css/colpick.css' ); 
	
		// JS
		$doc->addScript(ZENURL . 'admin/js/jquery-ui.min.js');
		$doc->addScript(ZENURL . 'admin/js/colpick.js');
		$doc->addScript(ZENURL . 'admin/js/zentools/get_gallery_items.js');
		
		// Get module id
		$id =  $_SERVER['REQUEST_URI'];
		
		// Split all up until the id fragment
		$id = explode('id=', $id);
		
		// Make sure nothing comes after that
		if(isset($id[1])) {
			// Make sure nothing comes after that
			$id = explode('&', $id[1]);
			
			// This is the id
			$id = $id[0];
		} else {
			$id = 0;
		}
		
		
	
	 ?><script>
			jQuery(document).ready(function($) {
				
				//get_gallery();
				function get_categories(action, extension, target) {

					var url = '?option=com_ajax&plugin=zentools2&format=json';
					var value   = extension,
						action  = action,
						request = {
								'option' : 'com_ajax',
								'plugin' : 'zentools2',
								'cmd'    : action,
								'data'   : value,
								'id'   : <?php echo $id;?>
							};
							
					$.ajax({
					 	url: url,
					 	method: 'get',
					 	context: document.body,
					 	type: 'POST',
					 	data   : request,
					 	error: function(data) {
					 			console.log('Error Retrieving Categories:' + data);
					 	},
					 	success: function (data) {
					 		data = data.data[0];
					 		
					 		if(data !==undefined) {
						 		
						 		// Null the select box when changing sources
						 		if(action == "get_tags") {
						 			var selectall_text = "Select all tags";
						 		} else {
						 			var selectall_text = "Select all categories";
						 		}
						 		
						 		$('#jform_params_' + target).empty().append('<option value="selectall">'+selectall_text+'</option>');
						 		
						 		$.each( data, function( id, category ) {
						 			var id = category.id;
						 			var level = category.level;
						 			var parent_id = category.parent_id;
						 			var category = category.title;
						 			
						 			var level_sep = "";
						 			
						 			if(level == 2) {
						 				var level_sep = "- "
						 			}
						 			
						 			if(level == 3) {
						 				var level_sep = "-- "
						 			}
						 			
						 			if(level == 4) {
						 				var level_sep = "--- "
						 			}
						 			
						 			if(level == 5) {
						 				var level_sep = "---- "
						 			}
						 			
						 			if(level == 6) {
						 				var level_sep = "----- "
						 			}
						 			
						 			$('#jform_params_' + target).append('<option value="'+id+'">' + level_sep + category + '</option>');
						 		});
						 		
						 		
						 		// Make active the stored items
						 		var active = $('#jform_params_' + target + '_limit').val();
						 		
						 		// Display the limit inputs
						 		$('.zt-limit-data').parent().parent().show();
						 		
						 		if(active !=="") {
						 			
						 			active = JSON.parse(active);
						 		
							 		$.each(active, function(id, count) {
							 			$('#jform_params_' + target + ' option[value="'+id+'"]').prop('selected', true);
							 			$('#' + target + '_limit').find('input[data-cat="'+id+'"]').val(count);
							 		}); 
							 		
							 		var selectall = 0;
							 		
							 		if($("#jform_params_" + target + " option").eq(0).attr('selected')) {
							 			selectall = 1;
							 		}
							 		
							 		append_data(selectall, target);
							 		
							 		$.each(active, function(id, count) {
							 			$('#' + target + '_limit').find('input[data-cat="'+id+'"]').val(count);
							 		});	
							 	}
							 }
					 	}
					});
				}


				//get_items();
				function get_items(action, extension, target) {
				
					var url = '?option=com_ajax&plugin=zentools2&format=json';
					var value   = extension,
						action  = action,
						request = {
								'option' : 'com_ajax',
								'plugin' : 'zentools2',
								'cmd'    : action,
								'data'   : value,
								'id'   : <?php echo $id;?>
							};
							
					$.ajax({
					 	url: url,
					 	method: 'get',
					 	context: document.body,
					 	type: 'POST',
					 	data   : request,
					 	error: function(data) {
					 		console.log('Error Retrieving Items:' + data);
					 	},
					 	success: function (data) {	
					 	
					 		
					 		data = data.data[0];
					 		
					 		if(data !=="undefined") {
						 		
						 		// Null the select box when changing sources
						 		$('#jform_params_' + target).empty();
						 		
						 		$.each( data, function( id, item ) {
						 		
						 			var id = item.id;
						 			var item = item.title;
						 			
						 			$('#jform_params_' + target).append('<option value="'+id+'">' + item + '</option>');
						 		});
						 		
						 			
						 		// Make active the stored items
						 		var active = $('#jform_params_' + target + '-stored').val();
						 		if(active!=="") {
						 		
						 			var active = active.split(',');
						 		
						 			$.each(active, function(i, id) {
							 			$('#jform_params_' + target + ' option[value="'+id+'"]').prop('selected', true);
							 		});
							 	} 
							 	
							 }
					 	}
					});
				}
								
				function get_gallery() {
				
					var action = 'get_gallery';
					var layout = $('#jform_params_layout').val();
					
					var url = '?option=com_ajax&plugin=zentools2&format=json';
					var value   = layout,
						action  = action,
						request = {
								'option' : 'com_ajax',
								'plugin' : 'zentools2',
								'cmd'    : action,
								'data'   : value,
								'id'   : <?php echo $id;?>
							};
							
					$.ajax({
					 	url: url,
					 	method: 'get',
					 	context: document.body,
					 	type: 'POST',
					 	data   : request,
					 	
					 	success: function (data) {	 		
					 		
					 		// Null the select box when changing sources
					 		$('#image-list').empty()
					 		
					 		data = data.data[0];
					 		
					 		$.each( data, function( folder, images ) {
					 		  
					 		    // Populate the folder list for the library
					 		    // This is for the tabbed navigation between the folders
					 		    
					 		  	var content = '<li data-folder="'+folder+'">' +
					 		  						'<a href="#" class="library-button uk-button">'+folder+'</a>' +
					 		  				'</li>';
					 		  		
					 		  	$('#folders ul').append(content);
					 		  	
					 		  	// Add the lists of images underneath them
					 		  	var content = '<ul data-folder="'+folder+'" class="hide zt-image-gallery connectedSortable"></ul>';
					 		  	$('#image-list').append(content);
					 		  	
					 		  	
					 		  	// Add the markup for each image
					 		  	$.each(images, function(key, image) {
					 		  		
					 		  		var name = image.slice(0, -4);
					 		  			name = capitalizeFirstLetter(name);
					 		  			
					 		  			name = name.replace(/\-/g, ' ');
					 		  			name = name.replace(/\+/g, ' ');
					 		  			
						 		  	// add the images to the folders
						 		  	var content = '<li>' +
						 		  		'<div class="zt-gallery-item overview">' +
						 		  			'<div class="gallery-content-left">' +
						 		  				'<img class="zt-item" data-type="image" data-src="../images/'+ folder +'/'+image+'"/>' +
						 		  				'<p class="toolbar">' +
						 		  					'<a data-id="remove" class="zt-icon remove-item" href="#none">' +
						 		  						'<span class="icon-remove"></span>' +
						 		  					'</a>' +
						 		  					'<a href="#none" data-type="featured" class="zt-icon zt-item zt-featured ">' +
						 		  						'<span class="icon-heart"></span>' +
						 		  					'</a>' +
						 		  					'<a data-id="edit" href="#none" class="zt-icon edit">' +
						 		  						'<span class="icon-edit"></span>' +
						 		  					'</a>' +
						 		  					'<a href="#none" id="get_exif" data-action="get_exif" class="zt-icon get_exif">' +
						 		  						'<span class="icon-refresh"></span>' +
						 		  					'</a>' +
						 		  				'</p>' +
						 		  			'</div>' +
						 		  			'<div class="gallery-content-right">' +
						 		  				'<input class="zt-item" data-type="title" value="' + name + '" placeholder="Title" />' +
						 		  				'<textarea class="fullview zt-item uk-form-large" data-type="introtext" placeholder="Enter your introtext here"></textarea>' +
						 		  				'<textarea class="fullview zt-item uk-form-large" data-type="fulltext">Enter your fulltext here</textarea>' +
						 		  				'<input class="fullview zt-item" data-type="author" value="" placeholder="Author"/>' +
						 		  				'<input class="fullview zt-item" data-type="category" value="'+ folder +'" placeholder="Category" />' +
						 		  				'<input class="fullview zt-item" data-type="date" value="" placeholder="Date" />' +
						 		  				'<input class="fullview zt-item" data-type="link_title" value="" placeholder="Link title" />' +
						 		  				'<input class="fullview zt-item" data-type="link" value="<?php echo JURI::ROOT();?>images/'+ folder +'/'+image+'" placeholder="Link" />' +
						 		  				'<input class="fullview zt-item" data-type="video" value="" placeholder="Url to video" />' +
						 		  				'<input class="fullview zt-item" data-type="paypal_link" value="" placeholder="Paypal link" />' +
						 		  				'<input class="fullview zt-item" data-type="embed_facebook" value="" placeholder="Facebook Embed url" />' +
						 		  				'<input class="fullview zt-item" data-type="embed_instagram" value="" placeholder="Instagram Embed url" />' +
						 		  				'<input class="fullview zt-item" data-type="embed_twitter" value="" placeholder="Twitter Embed url" />' +
						 		  				'<input class="fullview zt-item" data-type="embed_spotify" value="" placeholder="Spotify Embed url" />' +
						 		  				'<input class="fullview zt-item" data-type="embed_soundcloud" value="" placeholder="Soundcloud Embed url" />' +
						 		  				'<input class="fullview zt-item" data-type="tags" value="" placeholder="Enter comma separated tags." />' +
						 		  				'<textarea data-id="exif_data" data-type="exif" data-name="exif" class="fullview zt-item" placeholder="Enter a single exif detail per line eg make:Canon"></textarea>' +
						 		  			'</div>' +
						 		  		'</div>' +
						 		  		'<div class="clearfix"></div>' +
						 		  	'</li>';
						 		  	
						 		  	$('ul[data-folder="'+folder+'"]').append(content);
						 		  	
						 		});
						 		
						 		
						 		function capitalizeFirstLetter(string) {
						 		    return string.charAt(0).toUpperCase() + string.slice(1);
						 		}
						 		
						 	});
						 	
						 	
						 	// All the content is added lets hide it and
						 	// Show images in first folder
						 	var target = $('#image-list ul:first').attr('data-folder');
						 				
						 	$('#image-list ul[data-folder="' + target + '"] img').each(function() {
					 				var img = $(this).attr('data-src');
					 				$(this).attr('src', img );
						 	});
						 				
						 	$('#image-list ul[data-folder="' + target + '"]').fadeIn();
						 	
						 	
						 	// Sortable
						 	$( ".zt-image-gallery" ).sortable({
						 			connectWith: ".connectedSortable",
						 	       placeholder: "ui-state-highlight",
						 	       items: "li:not(.disabled)",
						 	       
						 	       update: function( event, ui ) {
						 	       		$(document).getGalleryItems();
						 	       }
						 	       
						 	});	
					 		
					 	}
					});
				
				}
				
				
				
				function get_folders() {
				
					var action = 'get_all_folders';
					var layout = $('#jform_params_layout').val();
					
					var url = '?option=com_ajax&plugin=zentools2&format=json';
					var value   = layout,
						action  = action,
						request = {
								'option' : 'com_ajax',
								'plugin' : 'zentools2',
								'cmd'    : action,
								'data'   : value,
								'id'   : <?php echo $id;?>
							};
							
					$.ajax({
					 	url: url,
					 	method: 'get',
					 	context: document.body,
					 	type: 'POST',
					 	data   : request,
					 	
					 	success: function (data) {	 		
					 		
					 		// Null the select box when changing sources
					 		$('#jform_params_directory').empty().append('<option value="selectall">Select all categories</option>');
					 			
					 		data = data.data[0];
					 		
					 		$.each(data, function(id, folder) {
					 			$('#jform_params_directory').append('<option value="'+folder+'">' + folder + '</option>');
					 		});
					 		
					 		
					 		// Make active the stored items
					 		var active = $('#jform_params_directory_limit').val();
					 			
				 			if(active !=="") {
					 			active = JSON.parse(active);
					 			
					 			$.each(active, function(id, count) {
					 				$('#jform_params_directory option[value="'+id+'"]').prop('selected', true);
					 				$('#directory_limit').find('input[data-cat="'+id+'"]').val(count);
					 			}); 
					 			
					 			
					 			var selectall = 0;
					 				
				 				if($("#jform_params_directory option").eq(0).attr('selected')) {
				 					selectall = 1;
				 				}
				 				
				 				append_data(selectall, 'directory');
				 				
				 				$.each(active, function(id, count) {
				 						$('#directory_limit').find('input[data-cat="'+id+'"]').val(count);
				 				});	
				 			}
						 }
					});
				
				}
				
				
				// Function that adds textbox and title for the items int he select that are selected
					function append_data(selectall, target) {
						
						$('#' + target + '_limit').empty();
						
						$('#jform_params_' + target + ' option').each(function() {
							
							// Get the data from the selected items
							var name = $(this).text();
							var id = $(this).val();
							
							if(!selectall) {
								if($(this).attr('selected') && id !=="selectall") {
									$('#' + target + '_limit').append('<div data-display="third"><h3>' + name + '</h3><input value="" data-cat="' + id + '" data-id="' + target + '_limit_' + id + '" /></div>');
								} 
							} else {
								
								if(id !=="selectall") {
									
									$('#' + target + '_limit').append('<div data-display="third"><h3>' + name + '</h3><input value="" data-cat="' + id + '" id="' + target + '_limit_' + id + '" /></div>');
								}
							}
						});
					}
				
				
				// On load - set the settings
				var saved_layout = $('#jform_params_layout').val();
				var saved_source = $('#jform_params_source').val();
				var saved_settings = $('#jform_params_layout_settings').val();
				var saved_options = $('#jform_params_options').val();
				var columns = $('#jform_params_layout_columns').val();
				var lightbox = $('#jform_params_lightbox_settings').val();
				
			
				// Load params for the specified content source
				
				load_source_params(saved_source);
				
				function load_source_params(source) {
					
					if(source == "joomla_contacts") {
					
						get_categories('get_categories','com_contact', 'joomla_contacts_categories');
					
					} else if(source=="gallery") {
					
						get_gallery();
					
					} else if(source=="joomla_categories") {
						
						get_categories('get_categories','com_content', 'joomla_categories_categories');
						$('#joomla_categories_categories_limit').removeClass('hide-field');
					
					} else if(source=="joomla") {
						
						if($("#jform_params_joomla_content_type0").is(":checked")) {
						
							get_items('get_items','content', 'joomla_content_items');
						
						} else {
						
							get_categories('get_categories','com_content', 'joomla_content_categories');
						
						}
						
					} else if(source=="k2") {
						
						if($("#jform_params_k2_content_type0").is(":checked")) {
						
							get_items('get_k2_items','k2_items', 'k2_content_items');
						
						} else {
						
							get_categories('get_k2_categories','k2_categories', 'k2_content_categories');
						
						}
						
					} else if(source=="k2_categories") {
						
						get_categories('get_k2_categories','k2_categories', 'k2_categories');
					
					}
					else if(source=="joomla_banners") {
						
						get_categories('get_categories','com_banners', 'joomla_banners_categories');
						
					} else if(source=="joomla_tags") {
						
						get_categories('get_tags','com_tags', 'joomla_tags_categories');	
						
					} else if(source=="joomla_tag_content") {
						
						get_categories('get_tags','com_tags', 'joomla_tag_content_categories');	
						
					} else if(source=="zt_hikashop") {
						
						if($("#jform_params_hikashop_content_type0").is(":checked")) {
				
							get_items('get_hikashop_items','hikashop_product', 'hikashop_content_items');
				
						} else {
				
							get_categories('get_hikashop_categories','com_hikashop', 'hikashop_content_categories');	
				
						}
				
					}  else if(source=="images") {
						
						get_folders();	
						
				
					} else if(source=="easyblog_posts") {
					
						if($("#jform_params_easyblog_content_type0").is(":checked")) {
				
							get_items('get_items','easyblog_post', 'easyblog_content_items');
					
						} else {
					
							get_categories('get_easyblog_categories','easyblog_category', 'easyblog_content_categories');
						}
					} 
				}
				
				
				
							
				// Remove onclick behaviour in J admin
				// We add it back later so that we can collect the data
				
				$('#toolbar-apply button,#toolbar-save button').attr('onclick','').unbind('click');
				
				// Add classes to parent nav tabs in joomla admin
				$('#myTabTabs li a').each(function() {
				
					var id = $(this).attr('href');
						id = id.replace('#', '');
						
					$(this).parent().attr('data-target', id).addClass('zt-admin-options');
				});
				
				
				// Add zebra stripes to content elements
				$('.tab-pane').each(function() {
				
					$i= 0;
					
					$(this).find('.control-group').each(function() {
						
						if($i == 0) {
							$(this).addClass('odd');
							$i++;
							
						} else {
							$(this).addClass('even');
							$i = 0;
						}
						
					});
					
				});
				
				
				
				
				// Hide labels of hidden fields
				$('.hide-field').parent().parent().hide();
				
				$('.hide-setting-field').parent().hide();
				
				
				if(saved_layout !=="") {
					
					// Make the saved layout active
					$('[data-id="'+saved_layout+'"]').addClass('active');
					$('.zt-layout-item.active span').addClass('uk-badge-success');
					
					// Add text for saved layout
					$('#layout-title span').html(' - ' + saved_layout + '  <span class="uk-badge uk-badge-notification">Change layout</span>');
					
					// Hide layout options
					$('#zt-layout-list').hide();
					
					// Show content sources
					$('#zt-content-source-settings').show();
					
					$('#layout-title span span').fadeIn();
					
					$('[data-id="' + saved_layout + '-layout-settings"]').show().addClass('active');
				}
				
				if(saved_source !=="") {
				
					$('.zt-content-source[data-id="'+ saved_source +'"]').addClass('active');
					
					$('.zt-content-source.active span').addClass('uk-badge-success');
					
					// Activate the content panel
					$('[data-target="attrib-' + saved_source + '"]').show().addClass('zt-content');
					$('#attrib-' + saved_source).addClass('zt-content');
					
					$('#zt-layout-tool').slideDown();
					$('#zt-layout-settings').slideDown();
					
					var saved_source_items = $('#' + saved_source + '-items').html();
					$('#zt-content-items').html(saved_source_items);
				}
				
				if(saved_settings !=="") {
					// Populated saved settings
					var saved_settings = JSON.parse(saved_settings);
					var columns = columns.split(',');
					
					$.each(saved_settings, function(index, data) {
						
						// Add remove button to all but first list
						var remove = "";
							
						if(index !=="0") {
						 var remove = '<a href="#" class="remove-col"><span class="zen-icon zen-icon-remove"></span></a>';
						}
							
						$('#zt-item-layout-wrap').append('<div id="zt-column-'+ index +'" class="item ui-resizable ui-sortable-handle zt-resizable " data-width="" style=""><span class="colcount"><span class="uk-badge uk-badge-primary"></span></span>'+remove +'<ul class="zt-item-tags connectedSortable""></ul></div>')
						
						$.each(columns, function(column, column_width) {
							$('#zt-column-'+ column).attr('data-width', column_width).addClass('grid-'+column_width).find('.colcount span').text(column_width);
							
						});
							
							
						$.each(data, function(key, value) {
								
								if(value.display == "undefined") {
									value.display = "block";
								}
								
								$('#zt-column-' + index + ' ul').append('<li data-type="'+value.type+'" data-display="'+value.display+'" class="'+value.display+'">'+value.type+'<span class="tag-remove zen-icon zen-icon-remove remove-tag"></span><span class="tag-edit zen-icon zen-icon-pencil"></span></li>');
							
								
								// Remove items from available list
								$('#zt-content-items li[data-type="' + value.type +'"]').remove();
								
								// Slide down settings
								$('#' + value.type + '-settings').slideDown().addClass('active');
							
							
							$.each(value, function(setting, val) {
									
									val = $.trim(val);
									
									
									// Populate settings
									$('#' + key + '-settings [data-name="' + setting + '"]').val(val);
									$('#' + key + '-settings [data-name="' + setting + '"]').attr('data-value', val);
									
									// Set inputs
									$('#' + key + '-settings [data-name="' + setting + '"] input').val(val);
									
									
									// Checkbox buttons
									if(val == 1) {
										$('#' + key + '-settings [data-name="' + setting + '"] input[type="checkbox"]').attr('checked', ':checked');
									} 
									
									
									// Textarea
									$('#' + key + '-settings [data-name="' + setting + '"] textarea').text(val);
									
									// Color box
									$('#' + setting + '.zt-picker').css('border-right-color', val);
								
									// Set flat list
									$('#' + key + '-settings [data-name="' + setting + '"] .flat-list.nav li').removeClass('active');
									$('#' + key + '-settings [data-name="' + setting + '"] .flat-list.nav li[data-id="' + val + '"]').addClass('active');
									
									
								
									val = val.split(' ');
									$('#' + key + '-settings [data-name="' + setting + '"] .toggle-list li');
							
									$(val).each(function(value_key, new_value) {
										
										$('#' + key + '-settings [data-name="'+ setting +'"] .toggle-list li[data-name="' +  new_value + '"]').addClass('active');
									});
									
									
									$('#' + key + '-settings [data-name="' + setting + '"] .responsive-classes li').addClass('active');
									
									$(val).each(function(value_key, new_value) {
										
										$('#' + key + '-settings [data-name="'+ setting +'"] .responsive-classes li[data-name="' +  new_value + '"]').removeClass('active');
									});
									// Toggle List
									
								});
						});
					});
						
					resizer();
					
					// Set overview info
					function set_info() {
						var layout = $('#jform_params_layout').val().toUpperCase();
						var content_source = $('#jform_params_source').val().toUpperCase();
						var display_count = $('.zt-content').find('input:first').val();
						
						$('#display_count').text(display_count); 
						$('#display_layout_type').text(layout); 
						$('#display_content_source').text(content_source); 
					}
					
					set_info();
						
				} else {
					
					//  Item settings for new modules 
					//  This happens when the user creates a new module.
					// Set all classes dependant on checkboxes to hide.
					
					
					$('div.item-settings').each(function() {
						
						$(this).find('input[type="checkbox"]').each(function() {
								
								if(!$(this).is(':checked')) {
									var linked = $(this).attr('id');
									$('.' + linked).hide();
								}
						});
						
					});
					
					
					
				}
				
				
				// Set saved options for this layout
				
				if(saved_options !=="") {
					
					
					//  Layout options
					//  Params that get set for the various.
					//  layout options
					
					
					function IsJsonString(str) {
					    try {
					        JSON.parse(str);
					    } catch (e) {
					        return false;
					    }
					    return true;
					}
					
					
					var saved_options_check = IsJsonString(saved_options);
					
					if(saved_options_check) {
					
						var saved_options = JSON.parse(saved_options);
						
						$.each(saved_options, function(name, value) {
						
							value = value.toString();
							
							// Re-replace < and >
							if(typeof value !=="undefined") {
								value = value.replace(/&gt;/g, '>');
								value = value.replace(/&lt;/g, '<');
							}
							$('[data-name="' + name + '"]').attr('data-value', value);
							
							// Set inputs
							$('[data-name="' + name + '"] input').val(value);
							
							// Set flat list
							$('[data-name="' + name + '"] .flat-list.nav li').removeClass('active');
							$('[data-name="' + name + '"] .flat-list.nav li[data-id="' + value + '"]').addClass('active');
							
							
							// Toggle List
							$('[data-name="' + name + '"] .toggle-list.nav li').removeClass('active');
							
							// Colour Picker
							$('#' + name + '.zt-picker').css('border-right-color', '#' + value);
						
							if(typeof value !=="undefined") {
								var toggles = value.split(' ');
									
								$(toggles).each(function(i, data) {
									$('[data-name="' + name + '"] .toggle-list.nav li[data-id="' + data + '"]').addClass('active');
								});
							}
							
							// Set selects
							$('#' + name).val(value);
							
							if(value == 0) {
								value = false;
							}
							
							$('[data-name="' + name + '"] input').filter(':checkbox').prop('checked',value);
							
						}); 
					} else {
						alert('Warning: There was an error in the previous save state of this module. The default settings have been re-applied.');
					}
					
				} else {
				
				
					//  Item settings for new modules 
					//  This happens when the user creates a new module.
					// Set all classes dependant on checkboxes to hide.
					
					$('ul.layout-settings').each(function() {
						
						$(this).find('input[type="checkbox"]').each(function() {
								
							
								if(!$(this).is(':checked')) {
									
									var linked = $(this).attr('id');
									$('.' + linked).hide();
								}
						});
						
					});
				}
				
				if(lightbox !=="") {
					
					var saved_options = JSON.parse(lightbox);
					
					$.each(saved_options, function(name, value) {
						
						// Make sure value is a string
						value = value.toString();
						
						if(name == "enable" && value=="1") {
							$('#zt-lightbox').show();
						}
						
						$('[data-name="' + name + '"]').attr('data-value', value);
						
						// Set inputs
						$('[data-name="' + name + '"] input').val(value);
						
						// Set flat list
						$('[data-name="' + name + '"] .flat-list.nav li').removeClass('active');
						$('[data-name="' + name + '"] .flat-list.nav li[data-id="' + value + '"]').addClass('active');
						
						$('[data-name="' + name + '"] .toggle-list.nav li').removeClass('active');
						
						if(typeof value !=="undefined") {
							var toggles = value.split(' ');
								
							$(toggles).each(function(i, data) {
								$('[data-name="' + name + '"] .toggle-list.nav li[data-id="' + data + '"]').addClass('active');
							});
						}
						
						// Set selects
						$('#' + name).val(value);
						
						
						if(value == 0) {
							value = false;
						}
						
						$('[data-name="' + name + '"] input').filter(':checkbox').prop('checked',value);
					}); 
					
				}
				
				
				// The following hides all linked items on page load.
				// Checkbox buttons
				$('#zt-item-settings .item-settings').each(function() {
					
					var id = $(this).attr('id');
					
					$(this).find('.settings-item').each(function() {	
					
						var val = $(this).attr('data-value');
						var name = $(this).attr('data-name');
						
						if(val == 1) {
							$(this).find('input[type="checkbox"]').attr('checked', ':checked');
						
							$('#' + id + ' .' + name).show();
						} else {
							// Hide all of the linked fields because the radio is switched off
							
							if($(this).find('input').is(':checkbox')) {
								
								$('#' + id + ' .' + name).hide();
							}
						}
					});
					
				});



				$('#zt-layout-settings .layout-settings').each(function() {
					
					var id = $(this).attr('data-id');
		
					$(this).find('.zt-settings-node').each(function() {	
					
						var val = $(this).attr('data-value');
						var name = $(this).attr('data-name');
						var type = $(this).attr('data-type');
						
						if(type=='checkbox') {
						
							if(val == 1) {
								$(this).find('input[type="checkbox"]').attr('checked', ':checked');
						
								$('#' + id + ' .' + name).show();
							} else {
								// Hide all of the linked fields because the radio is switched off
								$('[data-id="' + id + '"] .' + name).hide();
								
							}
						}
					});
					
				});
								
				
				
				
				// User interaction
				$(document).on('click', '.zt-layout-item',function() {
					
					// Remove Active
					$('.zt-layout-item').removeClass('active');
					$('.zt-layout-item span').removeClass('uk-badge-success');
					
					// Get new layout
					var layout = $(this).attr('data-id');
					var name = $(this).attr('data-name');
					
					// Set the layout value
					$('#jform_params_layout').val(layout);
					
					// Set new active
					$(this).addClass('active').find('span').addClass('uk-badge-success');
					
					// Add the title for the new layout
					$('#layout-title span').html(' - ' + name + '  <span class="uk-badge uk-badge-notification">Change layout</span>');
					
					
					// Show the selection in the title bar
					$('#layout-title span').fadeIn();
					
					// Hide the layout options and show the next step
					$('#zt-layout-list').slideUp();
					$('#zt-content-source-settings').slideDown();
					
					
					// Populate the item settings
					var layout_items = $('#' + layout + '-items').html();
					$('#zt-layout-items').html(layout_items);
					
					
					// Get the layout display for the selected layout
					var display = $('#' + layout + '-layout').html();
					$('#zt-display-items').html(display);
					
					// Show layout settings
					$('.layout-settings').hide().removeClass('active');	
					$('[data-id="' + layout + '-layout-settings"]').show().addClass('active');					
					
					
					$('#zt-status').html('<span class="zen-icon zen-icon-warning"></span> Layout changed to ' + layout + '.').fadeIn().delay(4000).fadeOut();
					
					
					// Update options
					update_options();
					
					setTimeout(function() {
						set_info()
					}, 1000);	
					
					return false;
					
				});
				
				
				// Slide toggle the layout items
				$('#layout-title span').click(function() {
					$('#zt-layout-list').slideDown();
					$(this).fadeOut();
					
					return false;
				});
				
				
				// Slide toggle layout tool
				// This what happens when a content source is clicked
				$(document).on('click', '#zt-content-source span', function() {
					
					$('#zt-layout-tool').slideDown();	
					$('#zt-layout-settings').slideDown();
					
					var saved_source = $(this).attr('data-id');
					
					// Activate the content panel
					$('.zt-content').hide();
					$('.tab-pane.content,.zt-content').hide();
					$('[data-target="attrib-' + saved_source + '"]').show().addClass('zt-content');
					$('#attrib-' + saved_source).addClass('content').show();
					
					// Hide content pane
					$('.tab-pane.content').hide();
					
					setTimeout(function() {
						set_info()
					}, 1000);
					
					
					// Display extra items if necessary
					check_element_depends(saved_source);
					
					load_source_params(saved_source);	
					
				});
				
						
				$(document).on('click', '[data-target="attrib-options"],[data-target="general"],[data-target="assignment"],[data-target="attrib-theme"],[data-target="attrib-settings"]', function() {
					$('.tab-pane.content').hide();
				});
				
				$(document).on('click', '.zt-content', function() {
					var target = $(this).attr('data-target');
					$('#' + target).show();
				});
				
				freshsort();
				
				function freshsort() {
					$( ".zt-item-tags" ).sortable({
					      connectWith: ".connectedSortable",
					       placeholder: "ui-state-highlight",
					       items: "li:not(.disabled)",
					       
					       update: function( event, ui ) {
					       		
					       		update_data();
					       		
					       		update_options();
					       		update_lightbox();
					       		
					 			// Display settings for newly added item
					       		// Hide all current settings
					       		
					       		var tag = $(ui.item).attr('data-type');
					       		
					       		// See if the tag settings should be displayed
					       		if($('#zt-item-layout-wrap li[data-type="'+tag+'"').length > 0) {
					       			$('#' + tag + '-settings').slideDown().addClass('active');;
					       		} else {
					       			$('#' + tag + '-settings').slideUp().removeClass('active');;
					       		}
					       		
					       		resizer();
					       }
					       
					}).disableSelection();
				}
				 
				
				// Settings accordion			
				$(document).on('click', '.settings-title.open', function() {
					$(this).find('span').addClass('zen-icon-chevron-down').removeClass('zen-icon-chevron-up');
					$(this).removeClass('open').addClass('closed').next('ul').slideUp();
				
					return false;
				});
				
				
				$(document).on('click', '.settings-title.closed', function() {
					$(this).find('span').addClass('zen-icon-chevron-up').removeClass('zen-icon-chevron-down');
					$(this).removeClass('closed').addClass('open').next('ul').slideDown();
					
					return false;
				});
				
				
				// Get data on blur
				$(document).on('blur','.item-settings input', function() {
					update_data();
					update_lightbox();
					update_options();
					
				});
				
				
				// Get data on click
				$(document).on('click', '.item-settings input,.item-settings a,#toolbar button', function() {
					update_data();
					update_options();
					update_lightbox();
				});
				
				
				// Update button on Joomla save click
				// and then submit the J form
				$('#toolbar-apply button,#toolbar-save button, #save-theme').click(function() {
					
						update_data();
						update_options();
						update_lightbox();
						
						var clicked = $(this).parent().attr('id');
						
						if(clicked == 'toolbar-save') {
								
							// if save and close
							Joomla.submitbutton('module.save');
						} else {
							// if save
							Joomla.submitbutton('module.apply');
							
						}
				
				});
				
				function update_data() {
				
					var layout = '{';
					
					var colwidths = [];
						
					$('#zt-item-layout-wrap .zt-resizable').each(function(index) {
					
						var width = $(this).attr('data-width');
						
						colwidths.push(width);
						
						if(index !==0) {
							layout += ',';
						}
						
						layout += '"' + index + '": {';
						
						var items = $(this).find('li');
						
						$(items).each(function(i) {
							
							var item = $(this).attr('data-type');
							
							if(i !==0) {
								layout += ',';
							}
							
							layout += '"' + item + '"';
							layout += ': { ';
							layout += '"type":' + JSON.stringify(item) + ",";
							
							// Get the various params for the item
							$('#' + item + '-settings li').not('[data-type="separator"]').each(function(e) {
								
									var property = JSON.stringify($(this).attr('data-name'));
									var value = JSON.stringify($(this).attr('data-value'));
								
									
									if(typeof property !=="undefined" && typeof value !=="undefined") {
										value = value.replace(/>/g, '&gt;');
										value = value.replace(/</g, '&lt;');	
				   						layout += property + ":" + value + ",";
									}
							});
							
							var display = $(this).attr('data-display');	
							
							if(display=="undefined") {
								display = "block";
							}	
							
							layout += '"display":"' + display + '"';
							layout += ' } ';
							
						});
						
						
						layout += ' } ';
						
					});
						
					
					layout += ' } ';
					
					$('#jform_params_layout_settings').val(layout);
					$('#jform_params_layout_columns').val(colwidths);
				}
				
				
				//
				//
				// The following triggers set the data-value for each node.
				//
				//
				
				// Toggle items
				$('.zt-toggler').click(function() {
					$(this).parent().find('.zt-toggle').slideToggle();
					
					return false;
				});
				
				
				
				// Set the value in data-value for each li
				// in the settings blocks
				
				$(document).on('blur','.layout-settings input,.item-settings input,#zt-lightbox input', function() {
					var value = $(this).val();
					$(this).parent().attr('data-value', value);
					update_data();
					update_options();
					update_lightbox();
					
				});
				
				$(document).on('blur','.layout-settings textarea,.item-settings textarea,#zt-lightbox textarea', function() {
					var value = $(this).val();
					$(this).parent().attr('data-value', value);
					update_data();
					update_options();
					update_lightbox();
					
				});
				
				
				$(document).on('change', '.layout-settings select,.item-settings select,#zt-lightbox select', function() {
					var value = $(this).val();
					$(this).parent().attr('data-value', value);
					update_data();
					update_options();
					update_lightbox();
					
				});
				
				
				// Flat list 
				$('.layout-settings .flat-list.nav a,.item-settings .flat-list.nav a,#zt-lightbox .flat-list.nav a').click(function() {
					
					$(this).parent().parent().find('li').removeClass('active');
					var value = $(this).parent().attr('data-id');
					$(this).parent().addClass('active').parent().parent().parent().attr('data-value', value);	
					
					update_options();
					update_data();
					update_lightbox();
					
				
					return false;
				});
				
				
				$('.toggle-list.nav a').click(function() {
					
					
					var value = $(this).parent().attr('data-id');
					var group = $(this).parent().parent().addClass('getting');
					
					$(this).parent().toggleClass('active');
					
					var data = "";
					
					$('.nav.getting li').each(function() {
						if($(this).hasClass('active')) {
							data += $(this).attr('data-id') + ' ';
						}
					})
					
					$(this).parent().parent().removeClass('getting');
					$(this).parent().parent().parent().attr('data-value', data);	
					
					update_options();
					update_lightbox();
					
					return false;
				});
				
				
				$('.responsive-classes a').click(function() {
					
					
					var value = $(this).parent().attr('data-id');
					var group = $(this).parent().parent().addClass('getting');
					
					$(this).parent().toggleClass('active');
					
					var data = "";
					
					$('.nav.getting li').each(function() {
						if(!$(this).hasClass('active')) {
							data += $(this).attr('data-id') + ' ';
						}
					})
					
					$(this).parent().parent().removeClass('getting');
					$(this).parent().parent().parent().attr('data-value', data);	
					
					update_options();
					update_lightbox();
					
					return false;
				});
				
				
				
				
				// Checkbox values
				$(document).on('click', 'input[type="checkbox"]', function() {
					
					if($(this).prop('checked')) {
						var value = 1;
					} else {
						var value = 0;
					}
					
					$(this).parent().parent().attr('data-value', value);
					
					update_options();
					update_lightbox();
					
				});
				
				
				$(document).on('click', 'input[type="checkbox"]', function() {
					
					var id = $(this).attr('id');
					
					if($(this).prop('checked')) {
						
						$('.' + id).slideDown();
						
					} else {
						
						$('.' + id).slideUp();
					}
					
				});
				
				
				
				// Toggle inline vs block
				$(document).on('dblclick', ".zt-resizable li", function() {
				 	
				 	var display = $(this).attr('data-display');
				 	
				 	if(display == "block") {
				 		$(this).attr('data-display', 'inline');
				 		$(this).removeClass('block').addClass('inline');
				 	} else {
				 		$(this).attr('data-display', 'block');
				 		$(this).addClass('block').removeClass('inline');
				 	}
				 	
				 	var setting = $(this).attr('data-type');
				 	var display = $(this).attr('data-display');
				 		
				 	$('#' + setting +'-settings input#display-input').val(display);
				 	
				 	updateColumns();
				 	update_data();
				 	update_options();
				 	update_lightbox();
				 	
				});
				
				
				// We now add the values to the data array
				// Using the data-name and data-value values
				// For each of the zt-settings-node items
				
				function update_options() {
				
					var options = "{";
					
						$('.layout-settings.active .zt-settings-node').not('[data-type="separator"]').each(function(index) {
						
							var name = $(this).attr('data-name');
							var value = $(this).attr('data-value');
							
							value = value.toString();
							if(index !==0) {
								options += ',';
							}	
							
							if(typeof name !== "undefined" && typeof value !== "undefined") {
								value = value.replace(/>/g, '&gt;');
								value = value.replace(/</g, '&lt;');
								options +=  JSON.stringify(name) + ': ' + JSON.stringify(value); 
							}		
						});
					
					options += "}";
					
					// Store settings in the settings variable
					$('#jform_params_options').val(options);
				}
				
				
				// We now add the values to the data array
				// Using the data-name and data-value values
				// For each of the zt-settings-node items
				
				function update_lightbox() {
					
					var enable = 0;
					
					var settings = "{";
					
						$('#zt-lightbox .zt-settings-node').not('[data-type="separator"]').each(function(index) {
						
							var name = $(this).attr('data-name');
							var value = $(this).attr('data-value');
							value = value.toString();
							if(typeof name !== "undefined" && typeof value !== "undefined") {
								
								if($(this).attr('data-type') =="checkbox") {
								
									if(value == "") {
										value=0;
									}
								}
								
								settings += JSON.stringify(name) + ': ' + JSON.stringify(value) +','; 
							}	
						});
						
					
						var lightbox_enable = checklightbox();
						settings += '"enable": "' + lightbox_enable + '"';
					
					settings += "}";
					
					if(lightbox_enable) {
						$('#zt-lightbox').show();
						$('#zt-lightbox .zt-toggle').slideDown();
					} else {
						$('#zt-lightbox').hide();
						$('#zt-lightbox .zt-toggle').slideUp();
					}
					
					// Store settings in the settings variable
					$('#jform_params_lightbox_settings').val(settings);
				}
				
				
				function checklightbox() {
				
					var enable = 0;
					
					// Complicated way to see if lightbox should be enab;ed
					$('[data-name="link"]').each(function() {
						
						var setting = $(this).attr('data-value');
						
						if(setting > 1) {		
							enable += 1;
						} else {
							enable += 0;
						}
					});	
					
					if(enable > 1) {
						enable = 1;
					}
					return enable;
				} 
				
				
				
				// Resize function
				function resizer() {
					var container = 717;
					var unit = 50;
					var gutter = 15;
					
					
					$( ".zt-resizable" ).resizable({
					      grid: unit,
					      minWidth: unit,
					      maxWidth: 620,
					      containment: "#item-layout-settings",
					      handles: 'e',
					      
					      resize: function( event, ui ) {
					      
					      		var self = $(this);
					      		
					      		self.attr('class', '');		
					      		
					      		var width = self.width() / unit; 
					      			width = Math.ceil(width);
					      			
					      			if(width > 12) {
					      				width = 12;
					      			}
					      				
					      		var total_width = (width * unit) + ((width - 1) * gutter);			
					      			
					      		$(this).find('span.colcount').html('<span class="uk-badge uk-badge-warning">' + width + '</span>');
					      		
					      		self.attr('class', 'item ui-resizable ui-sortable-handle zt-resizable');
					       },
					       
					       stop: function( event, ui ) {
					       	
					       	var self = $(this);
					       	
					       	var width = self.width() / unit; 
					       			width = Math.ceil(width + 1);
					       			
					       			if(width > 12) {
					       					width = 12;
					       				}
					       				
					       		var total_width = (width * unit) + ((width - 1) * gutter);			
					       		
					       		$(this).attr('data-width', width);
					       		$(this).find('span.colcount').html('<span class="uk-badge uk-badge-primary">' + width + '</span>');
					       	
					       	
					       	self.attr('class', 'item grid-' + width + ' ui-resizable ui-sortable-handle zt-resizable stopped');
					       
					      update_data();
					       }
					       
					     
					}).disableSelection();

				}			

				
				
				//
				// Set the number of columns on load
				// 
				
				//setColumns();
				
				function setColumns() {
					// Remove classes from current
					updateColumns();
					
					// Get total number of columns
					var total_columns = countColumns();
					
					$('.zt-resizable').attr('class','grid-' + (12 / total_columns) + ' zt-resizable').attr('data-width', total_columns); 
				}
				
				
				//
				// Update the number of columns on load
				// 
				function updateColumns() {
					var numcols = Math.round(12 / countColumns());
					$('.zt-resizable').attr('class', '').addClass('item ui-resizable ui-sortable-handle zt-resizable grid-' + numcols ).attr('data-width', numcols).attr('style', '').find('.colcount span').text(numcols); 
				}
				
				
				//
				// Count the columns
				// 
				function countColumns() {
					var  numcols = $('.zt-resizable').length; 	
					return numcols;
				}

				
				//
				// Add Columns
				// 
				
				
				// If layout tool is empty
				if($('#zt-item-layout-wrap .zt-resizable').length == 0) {
					addColumns();
				}
				
				
				function addColumns() {
					var numcols = countColumns();
					
					$('#zt-item-layout-wrap').append('<div id="zt-column-' + (numcols) + '" data-width="12" class="grid-12 zt-resizable item"><span class="colcount"><span class="uk-badge uk-badge-primary">12</span></span><a href="#" class="remove-col"><span class="zen-icon zen-icon-remove"></span></a><ul id="column-' + (numcols + 1) + '" class="zt-item-tags connectedSortable"></ul></div>');	
					
					// Update the sortable
					freshsort();
				}
				
				
				$('#zt-add-column').click(function() {
					addColumns();
					updateColumns();
					update_data();
					update_options();
					resizer();
					return false;
				});
				
				
				$(document).on('click','.remove-col', function() {
					
					var id = $(this).parent().attr('id');
					
					$('#' + id + ' li').each(function(i) {
						
						var type = $(this).attr('data-type');
						
						$('#zt-column-0 ul').append('<li data-type="'+type+'" class="ui-resizable">'+type+'<span class="tag-remove zen-icon zen-icon-remove remove-tag"></span><span class="tag-edit zen-icon zen-icon-pencil"></span></li>')
					});
					
					$(this).parent().remove();					
					updateColumns();
					update_options();
					update_data();
					resizer();
					return false;
				});
					
				// destroy chosen
				// Destory Chosen for the framework
				if(jQuery().chosen) {
					$('#attrib-joomla_contacts select,#attrib-k2_categories select,#attrib-options select,#attrib-images select, #attrib-k2 select,#attrib-k2_authors select,#attrib-k2_categories select,#attrib-joomla_contacts select,#attrib-joomla_categories select,#attrib-joomla_banners select,#attrib-joomla_tags select, #attrib-joomla select,#attrib-gallery select,#attrib-easyblog_posts select,#attrib-theme select,#attrib-zt_hikashop select,#attrib-joomla_tag_content select').chosen('destroy');			
				}
				
				// Slide down module settings if active
				// When a new module has been created
				if($('#zt-layout-list .zt-layout-item.active').length == 1) {
					$('#zt-layout-settings').show();
				}
				
				
				// Remove items from the layout tool
				// Event that happens when the red cross is clicked
				
				$(document).on('click','.remove-tag', function() {
					
					// Get the tag that was removed
					var tag = $(this).parent().clone();
					var type= $(this).parent().attr('data-type');
					// Add it to the available tags
					$('#zt-content-items').prepend(tag);
					
					// Remove from used tags
					$(this).parent().remove();
					
					// Update
					updateColumns();
					update_options();
					freshsort();
					update_data();
					resizer();
					
					// Hide the settings for this type
					$('#' + type + '-settings').slideUp().removeClass('active');
					
					return false;
				});
				
				
				// Open the settings for that item
				// and scroll to the settings area
				
				$(document).on('click','.zen-icon-pencil', function() {
					
					// Get the tag that was removed
					var type= $(this).parent().attr('data-type');
					
					// Show the settings for this type
					$('#' + type + '-settings ul').slideDown();
					
					// Add open class
					$('#' + type + '-settings').find('span').addClass('zen-icon-chevron-up').removeClass('zen-icon-chevron-down');
					$('#' + type + '-settings h3').removeClass('closed').addClass('open').next('ul').slideDown();
					
					
					// Scroll to the settings
					$('html,body').animate({
					        scrollTop: ($('#' + type + '-settings').offset().top) - 70},
					        'slow');
					
					return false;
				});
				
				
				// Toggle content types
				// This is used on load to determine whether to display items or categories options
				cat_items_toggle('joomla');
				cat_items_toggle('k2');
				cat_items_toggle('hikashop');
				cat_items_toggle('easyblog');
				
				function cat_items_toggle(target) {
					
					// Hide the relevant panels
					$('.'+target+'_content_type').parent().parent().hide();
					
					// Get the active one
					var active = $('#jform_params_'+target+'_content_type').find('input:checked').val();
					
					// Show the correct one
					$('#jform_params_'+target+'_content_' + active).parent().parent().fadeIn();
					
					// Show the limit tool if categories
					if(active =="categories") {
					
						$('#jform_params_'+target+'_content_categories_limit_tool-lbl').parent().parent().show();
					
					} else {
					
						$('#jform_params_'+target+'_content_categories_limit_tool-lbl').parent().parent().hide();
					
					}
				}
				
				
				$(document).on('click', '#jform_params_k2_content_type label', function() {
					
					var active = $(this).parent().find('input:checked').val();
					$('.k2_content_type').parent().parent().hide();
					$('#jform_params_k2_content_' + active).parent().parent().fadeIn();
					
					load_source_params('k2');
				
					if(active =="categories") {
						$('.zt-limit-data').parent().parent().show();
						
					} else {
						$('.zt-limit-data').parent().parent().hide();
					}
				});
				
				
				$(document).on('click', '#jform_params_joomla_content_type label', function() {
					var active = $(this).parent().find('input:checked').val();
					$('.joomla_content_type').parent().parent().hide();
					$('#jform_params_joomla_content_' + active).parent().parent().fadeIn();
					
					load_source_params('joomla');
					
					if(active =="categories") {
						$('.zt-limit-data').parent().parent().show();
					} else {
						$('.zt-limit-data').parent().parent().hide();
					}
				});
				
				
				$(document).on('click', '#jform_params_easyblog_content_type label', function() {
					
					var active = $(this).parent().find('input:checked').val();
					$('.easyblog_content_type').parent().parent().hide();
					$('#jform_params_easyblog_content_' + active).parent().parent().fadeIn();
				
					load_source_params('easyblog_posts');
					
					if(active =="categories") {
						$('.zt-limit-data').parent().parent().show();
					} else {
						$('.zt-limit-data').parent().parent().hide();
					}
				});
				
				
				$(document).on('click', '#jform_params_hikashop_content_type label', function() {
					
					var active = $('#jform_params_hikashop_content_type label').parent().find('input:checked').val();
					
					$('.hikashop_content_type').parent().parent().hide();
					$('#jform_params_hikashop_content_' + active).parent().parent().fadeIn();
					
					
					load_source_params('zt_hikashop');
					
					if(active =="categories") {
						$('.zt-limit-data ').parent().parent().show();
					} else {
						$('.zt-limit-data ').parent().parent().hide();
					}
					
				});
				
				
				
				// Make textarea dependant on item selection
				check_dependants();
				
				
				$('.depend').click(function() {
					check_dependants();
				});
				
				function check_dependants() {
					
					$('.zt-form-textarea').each(function() {
						
						// Check if it depends on something
						if($(this).attr('data-value') !=="") {
							
							var option = $(this).attr('data-value');
							var depends = $(this).attr('data-depend');
							
							// Hide the item
							$(this).parent().parent().hide();
							
							// Check the status of the dependant
							var dependant = $('#jform_params_'+depends+' input:checked').val();
							
											
							if(dependant == option) {
								$(this).parent().parent().fadeIn();
							}
							
						}
					}); 
				}	
				
				
				$('.filter-list').keyup(function () {
				  
				  	var valthis = $(this).val().toLowerCase();
				  	var num = 0;
				
					$(this).next('select').find('option').each(function() {
						var text = $(this).text().toLowerCase();
					    
					    if(text.indexOf(valthis) !== -1)  
					          {$(this).show();}
					    else{
					    	$(this).hide();
					    }
					 });
				});
				
				
				// Some element options depend on specific content sources only.
				// In the element xml use the depend="joomla_category"
				 check_element_depends(saved_source);
				 
				 function check_element_depends(saved_source) {
					$('.zen-checkbox').each(function() {
						var depend = $(this).attr('data-depend');
						if(typeof depend !=="undefined") {
							if(depend == saved_source) {
								$(this).show();
							} else {
								$(this).hide().attr('data-value', 0).parent('data-value', 0);
								
							}
						}
					});
				}
			
			});
		
		</script>
		
	<?php }
	
	function getLabel()
	{
		return '';
	}
}						