<?php
/**
 * @package		Zen Tools
 * @subpackage	Zen Tools
 * @author		Joomla Bamboo - design@joomlabamboo.com
 * @copyright 	Copyright (c) 2013 Joomla Bamboo. All rights reserved.
 * @license		GNU General Public License version 2 or later
 * @version		1.8.5
 */

defined('_JEXEC') or die('Restricted access');  

$lightbox = $settings->lightbox;


$image_lightbox = 0;
$title_lightbox = 0;
$more_lightbox = 0;

if(isset($settings->layout->{0}->image)) {
	if($settings->layout->{0}->image->link == '2') {
		$image_lightbox = 1;
	}
}

if(isset($settings->layout->{0}->title)) {
	if($settings->layout->{0}->title->link == '2') {
		$title_lightbox = 1;
	}
}

if(isset($settings->layout->{0}->readmore)) {
	if($settings->layout->{0}->readmore->link == '2') {
		$more_lightbox = 1;
	}
} 

// Text
$fulltext = 0;
$lightboxtext = 0;
if(isset($lightbox->fulltext)) {
	$fulltext = $lightbox->fulltext;
}

if($lightbox->text || $fulltext) {
	$lightboxtext = 1;
}

?>

<!-- Lightbox -->
<script>
	jQuery(document).ready(function($) {
		// Trigger lightbox
		<?php if($image_lightbox) { ?>
		$(document).zt_lightbox('<?php echo $module->id;?>','#zentools-<?php echo $module->id;?> .zt-image',<?php echo $lightbox->gallery;?>,<?php echo $lightbox->title;?>,<?php echo $lightbox->close;?>,<?php echo $lightbox->counter;?>,<?php echo $lightboxtext;?>,<?php echo $lightbox->twitter;?>,<?php echo $lightbox->facebook;?>,<?php echo $lightbox->pinterest;?>, <?php echo $lightbox->gplus;?>,'<?php echo JURI::base();?>','<?php echo $lightbox->twitter_user;?>',"<?php echo $images;?>");
		<?php } ?>
		<?php if($title_lightbox) { ?>
		$(document).zt_lightbox('<?php echo $module->id;?>','#zentools-<?php echo $module->id;?> .zt-title',<?php echo $lightbox->gallery;?>,<?php echo $lightbox->title;?>,<?php echo $lightbox->close;?>,<?php echo $lightbox->counter;?>,<?php echo $lightboxtext;?>,<?php echo $lightbox->twitter;?>,<?php echo $lightbox->facebook;?>,<?php echo $lightbox->pinterest;?>, <?php echo $lightbox->gplus;?>,'<?php echo JURI::base();?>','<?php echo $lightbox->twitter_user;?>',"<?php echo $images;?>");
		<?php } ?>
		<?php if($more_lightbox) { ?>
		$(document).zt_lightbox('<?php echo $module->id;?>','#zentools-<?php echo $module->id;?> .zt-readmore',<?php echo $lightbox->gallery;?>,<?php echo $lightbox->title;?>,<?php echo $lightbox->close;?>,<?php echo $lightbox->counter;?>,<?php echo $lightboxtext;?>,<?php echo $lightbox->twitter;?>,<?php echo $lightbox->facebook;?>,<?php echo $lightbox->pinterest;?>, <?php echo $lightbox->gplus;?>,'<?php echo JURI::base();?>','<?php echo $lightbox->twitter_user;?>',"<?php echo $images;?>");
		<?php } ?>
	});
</script>

