<?php
/**
 * @package		Zen Tools
 * @subpackage	Zen Tools
 * @author		Joomla Bamboo - design@joomlabamboo.com
 * @copyright 	Copyright (c) 2013 Joomla Bamboo. All rights reserved.
 * @license		GNU General Public License version 2 or later
 * @version		1.8.5
 */

defined('_JEXEC') or die('Restricted access'); 

if(!isset($element->alignment)) {
	$element->alignment = "left";
} 

$responsive_class = $zen->responsive_classes($element->responsive_classes); 

?>

<div class="zt-artist zt-element zt-<?php echo $element->display;?> zt-element-<?php echo $settings->count;?> zt-<?php echo $element->alignment;?> <?php echo $responsive_class;?>">
	<?php echo $element->pretext;?>
	<ul>
	<?php foreach ($item->artist as $name => $link) { ?>
		<li>
			<?php if($element->link) { ?>
			<a<?php if($element->link == "2") {?> target="_blank"<?php } ?> href="<?php echo $link;?>"><?php } ?>
				<?php echo $name;?>
			<?php if($element->link) { ?>
			</a>
			<?php } ?>
		</li>
	<?php } ?>
	</ul>
</div>