<?php
/**
 * @package		Zen Tools 2
 * @subpackage	Zen Tools 2
 * @author		Joomla Bamboo - design@joomlabamboo.com
 * @copyright 	Copyright (c) 2015 Joomla Bamboo. All rights reserved.
 * @license		GNU General Public License version 2 or later
 * @version		1.0.5
 */

defined('_JEXEC') or die('Restricted access'); 


$lightbox = $settings->lightbox;

$fulltext = 0;
if(isset($lightbox->fulltext)) {
	$fulltext = $lightbox->fulltext;
}

$lightbox_video = 0;
if(isset($lightbox->video)) {
	$lightbox_video = $lightbox->video;
}

if($item->image !=="" && $item->image !==false) { 
 
 $class= ' zt-' .$element->shape;
 $class.= ' zt-' .$element->style;
 

 if(isset($element->hover_effect)) {
 	$class.= ' ' .$element->hover_effect;
 }
 
 if(isset($element->dimensions)) {
 	if($element->resize) {
 		$dimensions = $element->dimensions;
 	} else {
 		$dimensions = 0;
 	}
 } else {
 	$dimensions = 0;
 }
  
 if($element->fullwidth) {
 	 $class .=" fullwidth";
 } 
 
 $class .= $zen->responsive_classes($element->responsive_classes); 
 
 
$data_description ="";
if($lightbox->text || $fulltext) {

	$data_description ='data-description="';

	if($lightbox->text) {
		if(isset($item->introtext)) {
		 	 $data_description .= htmlspecialchars($item->introtext);
		}
	}

	if($fulltext) {
		if(isset($item->fulltext)) {
			$data_description .= '<br />';
		 	$data_description .=htmlspecialchars($item->fulltext);
		}
	}
	
	// Joomla contacts
	if(isset($item->misc)) {
	 	 $data_description =htmlspecialchars($item->misc);
	}

	if($lightbox->text || $fulltext) {
		$data_description .= '"';
	}
}

// Joomla contacts
if(isset($item->misc)) {
 	 $data_description ='data-description="'.htmlspecialchars($item->misc).'"';
}

if(!isset($element->alignment)) {
	$element->alignment = "left";
} 

$video_class = "";
$target = $item->image;

if($lightbox_video) {
	if($item->video_url !=="") {
		$target= $item->video_url;
		$video_class = "mfp-iframe";
	}
}
 ?>
 
	 <div class="mfp-iframe zt-image<?php echo $class;?> zt-<?php echo $element->display;?> zt-element zt-element-<?php echo $settings->count;?> zt-<?php echo $element->alignment;?>">
	 
	 	
		<?php if(($element->link =="1" || $element->link =="3") && $item->link) { ?>
			<a href="<?php echo $item->link;?>"
			<?php if($element->link =="3") { ?>
			target="_blank"
			<?php } ?>>
		<?php } elseif($element->link =="2" && $item->link) { ?>
			<a data-effect="mfp-<?php echo $lightbox->transition;?>" data-target="lightbox-<?php echo $settings->id;?>" class="zt-lightbox <?php echo $video_class;?>"  title="<?php echo $item->title;?>" href="<?php echo $target;?>" <?php echo $data_description;?>>
		<?php } ?>	
		<?php // If we are resizing the image
						
				if($element->resize) { 
					
					// Get image helper
					// Only if it's required
					
					require_once JPATH_ROOT . '/modules/mod_zentools2/includes/imageresize.php'; ?>
					
						<img class="lazyOwl" <?php echo $settings->datasrc;?>="<?php echo ZenTools2Helper::getResizedImage($item->image, $element->crop_width, $element->crop_height, $element->crop_type);?>" alt="<?php echo $item->title;?>"<?php if($dimensions) { ?> width="<?php echo $element->crop_width;?>" height="<?php echo $element->crop_height;?>"<?php } ?> />
				<?php } 
					else { ?>
					<img src="<?php echo $item->image;?>" alt="<?php echo $item->title;?>" />
				<?php } ?>
			
		<?php if($element->link && $item->link) { ?>
			</a>
		<?php } ?>
		
	</div>
	
<?php } ?>