<?php
/**
 * @package		Zen Tools
 * @subpackage	Zen Tools
 * @author		Joomla Bamboo - design@joomlabamboo.com
 * @copyright 	Copyright (c) 2013 Joomla Bamboo. All rights reserved.
 * @license		GNU General Public License version 2 or later
 * @version		1.8.5
 */

defined('_JEXEC') or die('Restricted access'); 

// Create  element
foreach($layout as $key=>$colcontent) {
	
	foreach ($colcontent as $name =>$item_contents) {
		
	 	if($item_contents->type == 'title') {
    		$title = $colcontent->title;
    	 }
    
    	if($item_contents->type == 'image') {
    		$image = $colcontent->image;
    	}
	}
}



if(!isset($image)) {
	echo '<p class="alert alert-warning">Warning you need to at least have the image published for this layout.</p>';
	return;
}

$class = ' zt-'.$options->theme;
$class .= ' max-cols-'.$options->maxcols;

if(!$options->margin) {
	// Opposite option here
	$class .= ' zt-margin';
}

$trigger = "image";

if(isset($options->trigger)) {
	$trigger = $options->trigger;
}
?>

<div id="zentools-<?php echo $module->id;?>" class="zentools expanding-preview <?php echo $class;?>">
	<ul class="gridder"><?php // Please note the code here is formatted like this because of the use of display:inline-block for the thumbnails.
			foreach ($list as $key => $item) { 
			
				$item_class = '';
				if($item->featured) {
					$item_class .= ' zt-featured';
				}
				
				?><?php if($item->image !=="") { ?><li class="zt-item gridder-list gridder-list-4<?php echo $item_class;?>">
			   
			   	 	<div class="gridder-thumb caption-style-3">
			     		<?php if($trigger =="image") {
			      				
			      				$item->image = $zen->handleRemoteImage($item->image);
			      				
			      				require_once JPATH_ROOT . '/modules/mod_zentools2/includes/imageresize.php'; ?>
			      		 	
			      		 		<img class="lazyOwl" src="<?php echo ZenTools2Helper::getResizedImage($item->image, $image->crop_width, $image->crop_height, $image->crop_type);?>" alt="<?php echo $item->title;?>" />
			      		 					      		
			      				<span class="gridder-title"><?php echo $item->title;?></span>
			      		<?php } else { ?>
			      				<<?php echo $title->class;?>><?php echo $item->title;?></<?php echo $title->class;?>>
			      		<?php } ?>
			       </div>
			    	<div class="gridder-content">
			    		<?php foreach ($columns as $column => $colwidth) { 
			    			$count = 0;?>
			    			<div class="zt-col zt-col-<?php echo $colwidth;?> zt-column-<?php echo $column + 1;?>"> 
			    				<?php $elements = $layout->$column;
			    					foreach ($elements as $type => $element) {
			    						$settings->count = $count;
			    						$zen->loadElement($element->type, $element, $item, $settings, $zen);
			    						
			    						
			    						$count ++;
			    					} ?>
			    				</div>
			    		<?php } ?>		
                	</div>
			 </li><?php } 
			} ?></ul>
</div>

<?php if($lightbox->enable) { $zen->loadBlock('lightbox', $module, $settings); } ?>

<script>
jQuery(document).ready(function($) {

        // Call Gridder
        $('#zentools-<?php echo $module->id;?> .gridder').gridderExpander({
	        scrollOffset: 300,
	        scrollTo: 'panel', // panel or listitem
	        animationSpeed: 1200,
	        animationEasing: "easeInOutExpo"
    });

});
</script>